#
# spec file for package solarus-quest-editor
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           solarus-quest-editor
Version:        1.5.3
Release:        2.3
Summary:        GUI to edit quests for the Solarus engine
License:        GPL-3.0-or-later AND CC-BY-SA-3.0
Group:          Productivity/Graphics/Other
Url:            http://www.solarus-games.org/engine/solarus-quest-editor/
Source:         https://gitlab.com/solarus-games/solarus-quest-editor/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
# PATCH-FIX-UPSTREAM solarus-quest-editor-1.5.3-fix-compilation.patch -- boo#1115055
Patch0:         solarus-quest-editor-1.5.3-fix-compilation.patch
BuildRequires:  cmake >= 2.8.11
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  physfs-devel
BuildRequires:  solarus-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(vorbis)

%description
Solarus Quest Editor is a graphical user interface to create and
modify quests for the Solarus engine.

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%fdupes %{buildroot}%{_prefix}

%if 0%{?suse_version} < 1330
%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun
%endif

%files
%license license.txt license_gpl.txt
%doc README.md changelog.txt
%{_bindir}/solarus-quest-editor
%{_datadir}/solarus-quest-editor
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%dir %{_datadir}/icons/hicolor/1024x1024/
%dir %{_datadir}/icons/hicolor/1024x1024/apps/
%dir %{_datadir}/icons/hicolor/768x768/
%dir %{_datadir}/icons/hicolor/768x768/apps/
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Nov  8 2018 antoine.belvire@opensuse.org
- Add solarus-quest-editor-1.5.3-fix-compilation.patch: Fix build
  on Tumbleweed (boo#1115055).
- Update source URL: Project has migrated to GitLab.
- Minor spec file cleanup.
* Wed Apr 11 2018 antoine.belvire@opensuse.org
- Update to version 1.5.3:
  * Initial quest: add enemy killed animation from Diarandor.
  * Initial quest: fix the source image of the bomb sprite.
  * Initial quest: make musics loop without separate file for their
    intro.
  * Initial quest: add sounds from the Solarus Free Resource Pack.
  * Initial quest: play a sound with the Solarus logo.
  * Fix error message when converting from older formats to 1.5.2.
- Remove upstreamed patch:
  * desktop-icons.patch.
  * luajit-5_1-2.1.patch.
- Use %%license instead of %%doc for license files (boo#1082318).
* Thu Jan 26 2017 jengelh@inai.de
- Trim filler words
* Wed Jan 25 2017 mailaender@opensuse.org
- initial packaging of version 1.5.2
- Added luajit-5_1-2.1.patch
- Added desktop-icons.patch
